Package in.cdac.medinfo.csnotk.csnolib.disb.model

## Class MedicineDetail

- java.lang.Object
- - in.cdac.medinfo.csnotk.csnolib.disb.model.MedicineDetail

- All Implemented Interfaces:
    `java.io.Serializable`

      public class MedicineDetail
      extends java.lang.Object
      implements java.io.Serializable

  Author:
    root `MedicineDetail` contains detail information about Real Medicinal Product
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `MedicineDetail()` |
    `MedicineDetail​(java.lang.String medicineId)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getBrandName()` |
    `java.util.Date` | `getDateOfCreation()` |
    `java.util.Date` | `getDateOfModification()` |
    `java.lang.String` | `getExcipient()` |
    `java.lang.String` | `getExcipientSctid()` |
    `GenericDrug` | `getGenericDrug()` |
    `java.util.Set<java.lang.String>` | `getGenericNames()` |
    `java.lang.String` | `getLicenseNumber()` |
    `java.lang.String` | `getLicenseStatus()` |
    `Manufacturer` | `getManufacturer()` |
    `MedicinalProduct` | `getMedicinalProduct()` |
    `java.lang.String` | `getMedicineId()` |
    `MedicineLicenseStatus` | `getMedicineLicenseStatus()` |
    `java.lang.String` | `getMedicineName()` |
    `java.lang.String` | `getMedicineSctid()` |
    `java.lang.String` | `getPackaging()` |
    `RecordStatus` | `getRecordStatus()` |
    `int` | `getVersion()` |
    `void` | `setBrandName​(java.lang.String brandName)` |
    `void` | `setDateOfCreation​(java.util.Date dateOfCreation)` |
    `void` | `setDateOfModification​(java.util.Date dateOfModification)` |
    `void` | `setExcipient​(java.lang.String excipient)` |
    `void` | `setExcipientSctid​(java.lang.String excipientSctid)` |
    `void` | `setGenericDrug​(GenericDrug genericDrug)` |
    `void` | `setGenericNames​(java.util.Set<java.lang.String> genericNames)` |
    `void` | `setLicenseNumber​(java.lang.String licenseNumber)` |
    `void` | `setLicenseStatus​(java.lang.String licenseStatus)` |
    `void` | `setManufacturer​(Manufacturer manufacturer)` |
    `void` | `setMedicinalProduct​(MedicinalProduct medicinalProduct)` |
    `void` | `setMedicineId​(java.lang.String medicineId)` |
    `void` | `setMedicineLicenseStatus​(MedicineLicenseStatus medicineLicenseStatus)` |
    `void` | `setMedicineName​(java.lang.String medicineName)` |
    `void` | `setMedicineSctid​(java.lang.String medicineSctid)` |
    `void` | `setPackaging​(java.lang.String packaging)` |
    `void` | `setRecordStatus​(RecordStatus recordStatus)` |
    `void` | `setVersion​(int version)` |
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### MedicineDetail

          public MedicineDetail()

    - #### MedicineDetail

          public MedicineDetail​(java.lang.String medicineId)

  - ### Method Detail

    - #### getMedicineId

          public java.lang.String getMedicineId()

    - #### setMedicineId

          public void setMedicineId​(java.lang.String medicineId)

    - #### getMedicineName

          public java.lang.String getMedicineName()

    - #### setMedicineName

          public void setMedicineName​(java.lang.String medicineName)

    - #### getMedicineSctid

          public java.lang.String getMedicineSctid()

    - #### setMedicineSctid

          public void setMedicineSctid​(java.lang.String medicineSctid)

    - #### getDateOfCreation

          public java.util.Date getDateOfCreation()

    - #### setDateOfCreation

          public void setDateOfCreation​(java.util.Date dateOfCreation)

    - #### getExcipient

          public java.lang.String getExcipient()

    - #### setExcipient

          public void setExcipient​(java.lang.String excipient)

    - #### getExcipientSctid

          public java.lang.String getExcipientSctid()

    - #### setExcipientSctid

          public void setExcipientSctid​(java.lang.String excipientSctid)

    - #### getLicenseNumber

          public java.lang.String getLicenseNumber()

    - #### setLicenseNumber

          public void setLicenseNumber​(java.lang.String licenseNumber)

    - #### getPackaging

          public java.lang.String getPackaging()

    - #### setPackaging

          public void setPackaging​(java.lang.String packaging)

    - #### getVersion

          public int getVersion()

    - #### setVersion

          public void setVersion​(int version)

    - #### getMedicineLicenseStatus

          public MedicineLicenseStatus getMedicineLicenseStatus()

    - #### setMedicineLicenseStatus

          public void setMedicineLicenseStatus​(MedicineLicenseStatus medicineLicenseStatus)

    - #### getRecordStatus

          public RecordStatus getRecordStatus()

    - #### setRecordStatus

          public void setRecordStatus​(RecordStatus recordStatus)

    - #### getGenericDrug

          public GenericDrug getGenericDrug()

    - #### setGenericDrug

          public void setGenericDrug​(GenericDrug genericDrug)

    - #### getGenericNames

          public java.util.Set<java.lang.String> getGenericNames()

    - #### setGenericNames

          public void setGenericNames​(java.util.Set<java.lang.String> genericNames)

    - #### getDateOfModification

          public java.util.Date getDateOfModification()

    - #### setDateOfModification

          public void setDateOfModification​(java.util.Date dateOfModification)

    - #### getMedicinalProduct

          public MedicinalProduct getMedicinalProduct()

    - #### setMedicinalProduct

          public void setMedicinalProduct​(MedicinalProduct medicinalProduct)

    - #### getBrandName

          public java.lang.String getBrandName()

    - #### setBrandName

          public void setBrandName​(java.lang.String brandName)

    - #### getManufacturer

          public Manufacturer getManufacturer()

    - #### setManufacturer

          public void setManufacturer​(Manufacturer manufacturer)

    - #### getLicenseStatus

          public java.lang.String getLicenseStatus()

    - #### setLicenseStatus

          public void setLicenseStatus​(java.lang.String licenseStatus)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`